Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms
Class JmsMessageReceiver.JmsWorker

    java.lang.Object
      org.mule.transport.AbstractReceiverWorker
          org.mule.transport.jms.JmsMessageReceiver.JmsWorker

All Implemented Interfaces:
  Runnable, javax.resource.spi.work.Work

Enclosing class:
  JmsMessageReceiver

    protected class JmsMessageReceiver.JmsWorker

extends AbstractReceiverWorker

Field Summary

Fields inherited from class org.mule.transport.AbstractReceiverWorker
`endpoint, messages, out, receiver`

Constructor Summary
`JmsMessageReceiver.JmsWorker(List messages, AbstractMessageReceiver receiver)`
`JmsMessageReceiver.JmsWorker(Message message, AbstractMessageReceiver receiver)`

Method Summary
`protected void` | `bindTransaction(Transaction tx)` Template method used to bind the resources of this receiver to the transaction.
`protected Object` | `preProcessMessage(Object message)` Before a message is passed into Mule this callback is called and can be used by the worker to inspect the message before it gets sent to Mule

Methods inherited from class org.mule.transport.AbstractReceiverWorker
`doRun, handleException, handleResults, postProcessMessage, preRouteMuleMessage, release, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmsMessageReceiver.JmsWorker

    public JmsMessageReceiver.JmsWorker(Message message,
                                        AbstractMessageReceiver receiver)

### JmsMessageReceiver.JmsWorker

    public JmsMessageReceiver.JmsWorker(List messages,
                                        AbstractMessageReceiver receiver)

Method Detail

### preProcessMessage

    protected Object preProcessMessage(Object message)
                                throws Exception

  Description copied from class: `AbstractReceiverWorker`
  Before a message is passed into Mule this callback is called and can be used by the worker to inspect the message before it gets sent to Mule

  Overrides:
    `preProcessMessage` in class `AbstractReceiverWorker`
  Parameters:
    `message` - the next message to be processed
  Returns:
    the message to be processed. If Null is returned the message will not get processed.
  Throws:
    `Exception`

### bindTransaction

    protected void bindTransaction(Transaction tx)
                            throws TransactionException

  Description copied from class: `AbstractReceiverWorker`
  Template method used to bind the resources of this receiver to the transaction. Only transactional transports need implment this method

  Specified by:
    `bindTransaction` in class `AbstractReceiverWorker`
  Parameters:
    `tx` - the current transaction or null if there is no transaction
  Throws:
    `TransactionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.